use vergen_gitcl::{BuildBuilder, Emitter, GitclBuilder};

fn main() -> Result<(), Box<dyn std::error::Error>> {
    // Get build metadata
    let build = BuildBuilder::default().build_timestamp(true).build()?;
    let gitcl = GitclBuilder::default()
        .commit_date(true)
        .describe(false, true, None)
        .commit_timestamp(true)
        .sha(false)
        .build()?;
    Emitter::default()
        .add_instructions(&build)?
        .add_instructions(&gitcl)?
        .emit()?;

    Ok(())
}
